### Method

# Phosh DBusSessionManager call_inhibit

#### Declaration [src]

    void
    phosh_dbus_session_manager_call_inhibit (
      PhoshDBusSessionManager* proxy,
      const gchar* arg_app_id,
      guint arg_toplevel_xid,
      const gchar* arg_reason,
      guint arg_flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the Inhibit() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `phosh_dbus_session_manager_call_inhibit_finish()` to get the result of the operation.

See `phosh_dbus_session_manager_call_inhibit_sync()` for the synchronous, blocking version of this method.

#### Parameters

`arg_app_id`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_toplevel_xid`

  Type: `guint`

  Argument to pass with the method invocation.

`arg_reason`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_flags`

  Type: `guint`

  Argument to pass with the method invocation.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.